{{ attach_library( 'biopama_global_data/reporting' ) }}
<div id="loader-wrapper d-print-none">
  <div id="loader"></div>
  <div class="loader-section section-left"></div>
  <div class="loader-section section-right"></div>
</div>
<div id="container-page" class="container">
  	<div class="row p-3 d-print-none">
		<div class="col-6">
			<!-- Start Title -->
			<div class="title-sidebar" id="dopa-title">
				<h5 class="subtitle">Report generator</h5>
				<em>The indicators that you have selected are listed below. Drag and sort them in the report creator panel on the right.</em>
			</div>
			<!-- End Title -->
		</div>
		<div class="col-6" id="container-report">  
			<div id="report-area-title">
				The Report Area <button type="button" id="report-print-button" class="btn btn-primary" onclick="window.print()"><i class="fas fa-print"></i></button>
			</div> 
		</div>
	</div>
	<div class="row p-3 d-print-none">
		<div class="col-6">
			<div class="btn-group" role="group" aria-label="User Save or Load">
				<button type="button" class="btn btn-secondary" data-bs-toggle="tooltip" data-bs-placement="right" title="Under Development"><i class="fas fa-file-upload"></i></button>
				<button type="button" class="btn btn-secondary" data-bs-toggle="tooltip" data-bs-placement="right" title="Under Development"><i class="fas fa-file-download"></i></button>
			</div>
		</div>
	</div>
	<div class="row">	
		<div class="col-6 bg-dark text-white-50 p-3 opacity-75 d-print-none" id="report-area">
			<table class="d-print-none w-100">
			  	<thead><tr><td>
				<div class="header-height-fix">
					<div class="header-space">&nbsp;</div>
				</div>
			  	</td></tr></thead>
			  	<tbody><tr><td>
					<ul id="sortable-bin" class="connectedSortable indicator-list w-100">
					</ul>
			  	</td></tr></tbody>
			  	<tfoot><tr><td>
					<div class="footer-space">&nbsp;</div>
			  	</td></tr></tfoot>
			</table>
		</div>
		<div class="col-6 bg-dark text-white-50 p-3 opacity-75" id="report-area">
			<div class="header-height-fix">
				<h5 class='card-title d-flex justify-content-between' id='card-title-header' type='button' data-bs-toggle='collapse' data-bs-target='#collapseHeader' aria-expanded='false' aria-controls='Header'>
					<div class='report-header-title'>Header</div>
					<div class='data-collapsed'><i class='fas fa-toggle-off'></i></div>
					<div class='data-expanded'><i class='fas fa-toggle-on'></i></div>
				</h5>
			</div>
			<table class="w-100">
			  	<thead>
					<tr><td>
						<div class='collapse wrapper-data-card' id='collapseHeader'>
							<img class="report-header-logo" src="../../themes/custom/esahub/img/esahub_logo_with_name.png">
						</div>
			  		</td></tr>
				</thead>
			  	<tbody><tr><td>
					
					<ul id="sortable-report" class="connectedSortable indicator-list w-100">
					</ul>
					
			  	</td></tr></tbody>
			  	<tfoot>
					<tr><td>
						<div class='collapse wrapper-data-card' id='collapseFooter'>
							<img class="report-footer-logo" src="{{ globalDataImgPath }}report_footer.png">
						</div>
			  		</td></tr>
				</tfoot>
			</table>
			<h5 class='card-title d-flex justify-content-between' id='card-title-footer' type='button' data-bs-toggle='collapse' data-bs-target='#collapseFooter' aria-expanded='false' aria-controls='Footer'>
				<div class='report-header-title'>Footer</div>
				<div class='data-collapsed'><i class='fas fa-toggle-off'></i></div>
				<div class='data-expanded'><i class='fas fa-toggle-on'></i></div>
			</h5>
		</div>
  	</div>
</div>